Bug 477643 - Module Vendor and Build Host checking is done on kernel RPM modules
Module Vendor and Build Host checking is done on kernel RPM modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 11:50 EST by Greg Nichols
Modified: 2014-03-25 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 13:14:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
info.py patch (2.77 KB, patch)
2008-12-22 11:55 EST, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2008-12-22 11:50:13 EST
Description of problem:

Vendor and Build Host checks of driver modules are run on modules from
the kernel RPM.  These checks are only necessary for modules that are
not from the kernel RPM.


Version-Release number of selected component (if applicable):

HTS 5.3 R11
Comment 1 Greg Nichols 2008-12-22 11:55:26 EST
Created attachment 327672 [details]
info.py patch 


This patch changes the vendor and build host check so that there are only done on
modules that do not come from the kernel RPM.    The logic is that if a module is found in /proc/modules that does not come from the kernel RPM, the following tests are performed:

- if the OS being certified is RHEL 4, it fails
- otherwise, the ABI whitelist is checked.  If the module does not conform, it fails
- otherwise, the vendor and build host are checked.  If these tests indicate the module was not built be Red Hat, it fails.

Note You need to log in before you can comment on or make changes to this bug.